body {
    font-family: Andale Mono;
    background: url("Pink\ clouds.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    padding: 140px;
}

.gif {
    width: 120px;
    margin-botton: 15px;
}

.container {
    background: rgba(195, 119, 166, 0.615);
    padding: 25px;
    width: 350px;
    border-radius: 12px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
    text-align: center;
}


h1 {
    margin-bottom: 20px;
    column: rgb(177, 57, 77);
}

.input-section {
    display: flex;
    gap: 10px;
}

input {
    flex: 1;
    padding: 8px;
}

button {
    padding: 8px 12px;
    cursor: pointer;
}

ul {
    list-style: none;
    padding: 0;
    margin-top: 20px;
}

li {
    padding: 8px;
    margin-bottom: 8px;
    background: #f0f0f0;
    border-radius: 6px;
    cursor: pointer;
}

li button {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 16px;
    padding: 0;
}

.completed {
    text-decoration: line-through;
    background: #d377b3;
}

.progress-container {
    background: #ffffff;
    height: 12px;
    margin-top: 20px;
    border-radius: 6px;
    overflow: hidden;
}

#progressBar {
    background: #740c4fc5;
    height: 100%;
    width: 0%;
    transition: width 0.3s ease;
}